Opening a New Project or Existing Setup Project

http://www.digitalweb.com.br/installwizard

Welcome to DigitalWeb InstallWizard, the new Worldwide Standard for Enabling Software Distribution to Windows Platforms Quickly and Easily! InstallWizard has been designed to make creating a professional-quality installation faster and easier than ever before, while still providing the features you need most.

Features:
- Very simple wizard interface - design and modify your setup without writing a single line of code!
- Full install and uninstall support for Windows 95/98/ME/NT/2000 e XP.
- Customizable user interface, including custom bitmaps.
- Unlimited, lifetime distribution license.
- Single-file, self-extracting .EXE option for distribution across networks.
- Password protection.
- Automatic file compression and compressed library splitting.
- Automatic registry entries for Windows 95/98/ME/NT/2000/XP.
- Quick registry key creation and easy .REG file merge.
- Custom and Compact setup type options.
- Self-registering OCX/OCB/DLL/EXE support.
- Internationalization with language support for ENGLISH, PORTUGUESE, SPANISH, ITALIAN, FRENCH, GERMAN, ESTONIAN and POLISH.
- Easy icon specification.
- File copy options assignable by individual file groups
- Additional disk build options, including a Custom Size option that allows you to set the created disk images to any size you wish.
- Install from Network - Download your install files directly from your site and install.
- Support Drag and Drop Directories.
- Support Custom Actions - Launch 3rd party software
- ODBC Resources support
- Extensions support
- Environment Variables support
- Advanced Splash Screen with animated GIF, AVI and SOUND support.


License Agreement for InstallWizard

1. General License Agreement

This file must be distributed with every copy of InstallWizard. It may not be removed or modified.

This information pertains to all use of this software worlwide.

This document pertains to the use and distribution of InstallWizard. It applies to all InstallWizard program and documentation files. InstallWizard is protected by law and international treaties.

* Application:

You are allowed to install one copy of SOFTWARE InstallWizard and use it on your computer.

* Distribution of installations:

You are only allowed to distribute the created installation files with a registered version of InstallWizard. You have (i) to put a valid copyright information of you or your company somewhere in the installation Wizard's interface and (ii) to agree protecting DigitalWeb from any complaints of third parties. You are further not allowed to remove the DigitalWeb Copyright information from the configuration files.

* Freeware - Shareware:

Private persons can use InstallWizard Freeware while the use is (i) private, (ii) non-commercial. A commercial use is defined where InstallWizard is used for installaing Software, which can be buyed, licencened or registered in any way. Demo software for commercial software is restricted to and need the shareware version. You are only allowed to use the Shareware-Version of InstallWizard for commercial software.

* Backup copy:

You are allowed to create one single copy of the SOFTWARE InstallWizard. You are allowed to use this this copy for backup issues.

Additional Restrictions

* Restrictions according to Reverse Engineering, Decompilation and Disassembling:

You are not allowed to decompile or disassemble the SOFTWARE InstallWizard (Reverse Engineering).

* Separating components:

The SOFTWARE InstallWizard is licenced as one single product. You are not allowed to separate ist components to use them on more than one computer.

* Software transfer:

You are allowed to transfer all your rights from this agreement to other persons, when you do not hold back one copy of the SOFTWARE InstallWizard, and transfer the total package of the SOFTWARE InstallWizard (including all components, the media and printed materials and all updates of this agreement), and the receiving person agrees with this agreement.

* Denouncing:

DigitalWeb is allowed to denounce this agreement, when you act against this agreement in any way. In this case you are liable to destroy and remove all copies of the SOFTWARE InstallWizard and its components.

5. REGISTRATION DATA:

By registering the SOFTWARE InstallWizard you receive your personal registration key, consisting of your user name and your personal registration number. You are allowed to use this key on one computer at the same time. You are not allowed to rent or hire out this key to to another user, when it is not a long-term transfer as described above.

6. UNREGISTERED VERSION:

You are allowed to install the unregistered version of SOFTWARE InstallWizard on a computer and to use it for test issues, which have the purpose to test the ability of the SOFTWARE InstallWizard for ist later use. You are not allowed to distribute the created installation files in form of the project file or the created installation files to third parties or other persons as log as you are not owner of a valid registration key.

7. PRODUCT SUPPORT:

Support for the SOFTWARE InstallWizard will be provided through DigitalWeb for 30 days after receiving the licenced software or the registration key. Please refere to the support section on the page on http://www.digitalweb.com.br.com/installwizard, to get software support.

8. DISTRIBUTION

InstallWizard (unregistered) is freely distributable to anyone and everyone so long as it is distributed in UNMODIFIED FORM and no fees are charged. By registering InstallWizard you agree to all terms of this agreement.

2. Limited Warranty

DigitalWeb warrants that the SOFTWARE InstallWizard will perform substantically in accordance with the documetation materials for a period of ninety (90) days from the date of receipt.

Customer remedies. DigitalWeb's entire liability and your exclusive remedy shall be return the price paid. This Limited Warranty is void if failure of SOFTWARE InstallWizard has resulted from accident, abuse or misapplication. Any replacement of SOFTWARE InstallWizard will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer.

No other warranties. To the maximum extend permitted by applicable law, DigitalWeb disclaim all other warranties, either or implied, including, but not limited to implied warranties of merchantability and fitness for a particular purpose, with regard to SOFTWARE InstallWizard. the possibly accomanying written materials.

Although the authors have attempted to find and correct any bugs in the software, they are not responsible for any damage or losses of any kind caused by the use or misuse of the software. There may also be errors in the programmcode. The authors are under no obligation to provide service, corrections, or upgrades to SOFTWARE InstallWizard.

3. Copyright

DigitalWeb InstallWizard

Copyright © 1999-2002 Rogerio Silva, DigitalWeb Brazil. All rights reserved.

Microsoft, Windows and Windows NT are registered trademarks of the Microsoft Corporation.


FREEWARE vs. FULL VERSION

The following itens are disabled in InstallWizard Freeware:

- ODBC Resourses
- Registration Function
- Registry File Function
- Custom bitmaps
- File Extensions
- Custom Actions
- Password
- Feedback
- Live Update
- Silent Install
- Media based installation disabled
- MessageBox at beginning of installation

FULL VERSION:

-Full operational.
-Installations never expires.


Organize and Prepare Your Files

Even though InstallWizard is the most convenient installation toolkit yet created, using it does require some preparation. In order to plan a successful setup, you need to consider the structure of your application files.

Because every setup has a unique set of files and varying installation requirements, InstallWizard includes a flexible, yet simple, organizing system. Your files are copied into groups, which are included in components. These components can be used to create multiple setup types.
All of the files in a group will be copied to the same directory. Copying your files into the group will be quick and easy if you already you have them in separate directories which represent your groups.

See a video that will teach you to create your first install in 1 minute.

Opening a New Project or Existing Setup Project

When you first start InstallWizard, a welcome message box will be displayed. Click 'New Project' to create a new setup project or click on your project name to Open your Setup Project.


InstallWizard Directory Specifiers

One of the biggest considerations in creating a setup is accounting for the differences between the various target systems of your users. You have no way of knowing where a particular user will want to install your application, nor even where the main Windows and System directories are on that system.
For that reason, InstallWizard includes a set of directory specifiers which are replaced by information about the user's system during the installation. They are used whenever you need to express the location of a file after it has been copied to the target system.
Note.: The "Default Destination Directory " will apper in the ' Choose Destination Location Dialog '

Examples:

<Program Files> This specifier is replaced with the Program Files directory on the target system (e.g. C:\PROGRAM FILES). In Windows 95, the Program Files directory location is stored in the registry under the "ProgramFilesDir" value name.

<Windows Directory> This specifier is replaced with the main Windows directory on the target system (e.g. C:\WINDOWS).

<Shared DLLs> This specifier is replaced with the Windows System directory on the target system (e.g. C:\WINDOWS\SYSTEM). If the target machine is running Windows NT, this specifier will indicate the SYSTEM32 directory if you have a 32-bit setup.

<Windows Disk> This specifier is replaced with the drive letter of the disk containing the Windows directory (e.g. C:).

<Common Files Directory> This specifier is replaced with the Common Files directory on the target system (e.g. C:\PROGRAM FILES\COMMON FILES). In Windows 95, the Common Files directory location is stored in the registry under the "CommonFilesDir" value name.

Directory Specifiers
<Program Files> | This property holds the full path to the current user's Program Files folder.
<Shared DLLs> | This property holds the full path to the Windows system folder.
<Windows Disk> | This property holds the volume of the Windows folder. It is set to the drive where Windows is installed.
<Common Files Directory> | The value of this property is the full path to the Common Files folder for the current user.
<Windows Directory> | This property holds the full path to the Windows folder.
<Favorites Folder> | The FavoritesFolder property contains the full path to the Favorites folder for the current user.
<Documents Folder> |
<My Pictures Folder> | Full path to MyPicturesFolder, which is commonly located at C:\WINNT\Profiles\MyName\My Documents\My Pictures.
<My Music Folder> |
<Send To Folder> | This property holds the full path to the current user's SendTo folder.
<Fonts Folder> | This property holds the full path to the Fonts folder.


InstallWizard 2001 - Step by Step Guide

STEP 1

Step 1) Run InstallWizard.

STEP 2

Step 2) Click New Project Button (Picture 1)

Picture 1:

STEP 3

Step 3) Fill Project Name Box with your Project Name (i.e: MyProject)
Step 3.1) Fill Project Description Box with your Project Description (i.e: My first setup)
Step 3.2) Click OK Button (Picture 2)

Picture 2:

STEP 4

Step 4) Now wait DigitalWeb InstallWizard MAIN WINDOW open. (Picture 3)

Picture 3:

STEP 5

Step 5) Click "Components and Files" (Picture 4)

Step 5) Right Click in MyProject and select "Add File" from menu. Choose some file to your first install. (Picture 4)

Picture 4:

STEP 6

Step 6) Click "Folder and Icons" (Picture 5)
Step 6.1) In Program Combo Box, choose your file.
Step 6.2) In Description enter: "My Project File"
Step 6.3) In Folder Combo Box, choose "Programs Menu Folder"
Step 6.4) In Show Combo Box, choose "Normal"
Step 6.5) Click Add Button.

Picture 5:

STEP 7

Step 7) Click "Build Setup" (Picture 6)
Step 7.1) Click "Build Button" (Picture 6)

Picture 6:

FINISH !

> Now wait InstallWizard build your setup.
> Close InstallWizard.
> Go to the InstallWizard default directory. ( normally: C:\PROGRAM FILES\DIGITALWEB\INSTALLWIZARD)
> Your installation files are located in a FOLDER called "MyProject Setup" inside InstallWizard Default Directory


Organize and Prepare Your Files

4 steps to create your first setup

1) Click "Start New Project"

1.1) In Project Name type "MyProject"
1.2) In Project Description type "My first install"
1.3) In Project Language choose your language. Default: English
1.4) If you want, select your Project Type.
1.5) Click "OK"

Now, the DigitalWeb InstallWizard main window will open.

2) Click "Components and Files"
2.1) In "File Groups" right-click "Program Files" and select "Add URL"
2.2) Type your target URL. i.e: http://www.digitalweb.com.br/ras2000.zip

3) Click "Folder and Icons"
3.1) In "Program" combo-box, select your program.
3.2) In "Description" type "MyProgram"
3.3) In "Folder" select "Programs Menu Folder"
3.4) In "Show" select "Normal"

4) Click "Build Setup"
4.1) Click in "Build" button.

That's it! Your setup is ready to work.

Your setup are located in DigitalWeb InstallWizard folder.
i.e: c:\program files\digitalweb\digitalweb installwizard\MyProject


APPLICATION INFORMATION

The Application Information dialog collects information which InstallWizard uses internally. You must enter information or leave the default settings in the Application Name, Version, and Company fields in order to comply with Windows 95 Setup Guidelines. If you erase any of these fields, InstallWizard will not be able to make the automatic registry entries necessary to meet Windows 95 specifications, including the uninstallation entry.
This dialog contains five edit fields:

Application Name: Enter the full name of your application (80 characters max.). The default setting for this field will be the project name you entered in the New Project dialog box.
n Application Executable: Click the browse (...) push button next to this field to launch the Open dialog. From this dialog, locate and select your primary executable file. When you click the Open push button to accept your selection, the filename will be displayed in the grayed edit field, along with the [Program Files]directory specifier.

Version: If you specify an executable file in the Application Executable field which contains a version resource, InstallWizard will enter the version number in the Version field. Otherwise, the default setting for this field is 1.0. You can also enter or modify the version number of your application. You can format your version number however you like (the field will accept up to 40 characters).

Check that you have not left any of the following fields blank in the Application Information dialog: "Application Name," Version" and "Company." These three values are used as paths for the registry entries that InstallWizard automatically makes for your setup. If one or more of these paths is missing, the registry entries required for your setup to have Windows 95 Uninstall capability cannot be made, and therefore your application's name will not appear in the Control Panel's Add/Remove Programs Properties applet.

Company: Enter the name of your company (80 characters max.). The default setting for this field will be the company name you entered when you first installed InstallWizard.

Note: If the entry in the Company field contains any illegal characters (such as '?'), your setup will fail when it tries to create this default destination directory.

Default Destination Directory: The default destination directory is the default location where your application will be installed on the target system if no directory is specified by the user. This default entry follows this format: <Program Files>\Company Name\Project Name. For example, if you specify your application name to be "My Application" and your company to be "My Company", and your user's Program Files directory is located at "C:\Program Files", the default destination directory will be "C:\Program Files\My Company\My Application". However, you can modify this default entry created by InstallWizard to have any destination directory created.

Language: Choose here the language that will be used to create your setup.


MAIN WINDOW

The Main Window dialog allows you to create a distinctive appearance for your setup with minimal effort.

Main Title: Type here the name of your software.

Splash Bitmap:

The Splash Bitmap dialog is the first dialog displayed when your setup package is launched.

-Bitmap: This option contains an image—either a bitmap (.bmp) that contains the logo and branding for your company and product.

-Advanced: The advanced Splash Screen will allow you to show bitmap files, animation files (Animated GIF or AVI files), play sounds or navigate in the internet.
It can be launched before and after the installation process.

Background Window: Check 'Enable Background Window' then click the down arrow push button to open the drop-down list which contains the different colors you can select for the background of your setup. Your choices include blue, green and red.


Components and Files

Go to components and files to add all your files to setup.
Just choose a File group, then drag and drop your file or directory, or if you prefer, right click in your file group and choose an option.

DESTINATION FOLDERS
Program Files | This property holds the full path to the current user's Program Files folder.
Shared DLLs | This property holds the full path to the Windows system folder.
Windows Disk | This property holds the volume of the Windows folder. It is set to the drive where Windows is installed.
Common Files Directory | The value of this property is the full path to the Common Files folder for the current user.
Windows Directory | This property holds the full path to the Windows folder.
Favorites Folder | The FavoritesFolder property contains the full path to the Favorites folder for the current user.
Documents Folder |
My Pictures Folder | Full path to MyPicturesFolder, which is commonly located at C:\WINNT\Profiles\MyName\My Documents\My Pictures.
My Music Folder |
Send To Folder | This property holds the full path to the current user's SendTo folder.
Fonts Folder | This property holds the full path to the Fonts folder.

Status Text: | Is the text that will be displayed when the correspondent file group will be installed. (IN SETUP.EXE FILE)
Overwrite: | If there are the same file installed in target system and you would like to overwrite this file choose "Always Overwrite".
Register Files: | Choose Yes if you would like to register the files of the correspondent group in windows registry.


DIALOG BOXES

Welcome Message

The Welcome Message user dialog displays a message welcoming the user to your application's installation, instructions to exit all Windows programs before starting the setup, and a brief copyright warning.
InstallWizard will automatically place the application name you entered in the Application Information dialog in the top static text field of the Welcome Message user dialog.
There are no settings for this dialog.

Software License Agreement

The Software License Agreement user dialog allows you to display a text file containing a copy of your license agreement.
Specify your file on the Software License Agreement Settings tab either by using the Browse... push button to search for the file on your source system, or by typing the fully qualified path and filename in the edit field.

Note The Software License Agreement preview is a pre-canned sample. The previewed image will not change to reflect your specified text file.

Readme Information

The Readme Information user dialog allows you to display a Readme text file to the user before the setup begins collecting information.

Note The contents of the file will not be automatically formatted to fit the width of the multi-line edit field in which the Readme Information dialog displays the text. If you do not want the user to have to use the left and right scroll arrows to read the text, you must format your text file using hard returns at the end of each line to be displayed.

Specify the text file in the Readme Information Settings tab either by using the Browse... push button to search for the file on your source system, or by typing the fully qualified path and filename in the edit field.

Note The Readme Information preview is a pre-canned sample. The previewed image will not change to reflect your specified file.

User Information

The User Information user dialog collects the user's name, company, and, optionally, serial number.
The default setting for this dialog collects all three pieces of information. If you want to get the user's Name and Company, but not the serial number, click the Name and Company radio button in the User Information Settings tab.
If the target system is Windows 95 or NT, the information collected from this dialog will be stored in the registry under the following path:

HKEY_LOCAL_MACHINE\SOFTWARE\<Company>\<AppName>\<Version>
The key names <Company>, <AppName>, and <Version> will be determined by the information you entered in the Application Information InstallWizard dialog.
The values collected from the User Information dialog will be stored under the value names Name, Company, and Serial (if applicable).
If the target system is Windows 3.x, the default entries will be read from the USER.EXE file, and the returned information will be stored in the WIN.INI file. The section will be your application name, and the keywords are Name, Company, and Serial (if applicable).

Choose Destination Location

The Choose Destination Location user dialog allows the user to select the directory in which he wants to install your application. The directory and path selected by the user will be used to replace the <INSTALLDIR> directory specifier in any of the InstallWizard dialogs in which you have used it.

The Default Destination Directory entry that you accepted in the App Info tab of the Set the Visual Design dialog box is also displayed on the Settings tab for the Choose Destination Location dialog box. You can also modify that entry here. If you are creating a 32-bit application, Microsoft's Windows 95 Setup Guidelines recommend that the destination directory for your application be a subdirectory of the Program Files directory, and that you use a long filename to help create a unique name for it.
In InstallWizard, you can designate the Program Files directory on the target system using the <ProgramFilesDir> directory specifier. You can also use the <CommonFilesDir> specifier to indicate the Common Files directory on the target system (e.g. C:\PROGRAM FILES\COMMON FILES). We recommend that you avoid using hard-coded directories in your setup whenever possible by taking advantage of the more flexible InstallWizard directory specifiers.

Note Do not use the <INSTALLDIR> specifier to indicate the default destination directory. The Disk Builder will generate a warning message if you do. InstallWizard uses the Choose Destination Location user dialog to get the value of <INSTALLDIR> from the user. Using <INSTALLDIR> in your setting will create an unusable default for your user.

If you do not specify a directory, InstallWizard will set the default to C:\PROGRAM FILES\<Company>\<Application>. The names of the <Company> and <Application> directories will be determined by the information you entered in the Application Information InstallWizard dialog.

Setup Type

The Setup Type user dialog allows the user to select a Typical, Compact, or Custom installation. You must create the components for each of these setup types in the Specify Components and Files InstallWizard dialog.
This dialog also allows the user to select a destination directory using the Browse... push button. (The user's selection on this dialog will override a selection made on the Choose Destination Location dialog, if applicable, and will reset the value of <INSTALLDIR>.)

This dialog must be selected if you are offering multiple setup types. If you do not want to give the user these options, deselect the Setup Type user dialog. When you select or deselect the Setup Type user dialog, you will automatically select or deselect the Custom Setup user dialog, and vice-versa.
The Setup Type user dialog has no settings.
For more information about setup types, refer to the Groups, Components, and Setup Types section of Planning Your Setup.

Select Program Folder

The Select Program Folder user dialog allows the user to choose the program folder (Windows 95 or NT 4.0) or group (Windows 3.1 or NT 3.51) in which your application icons will be placed.
Specify the default folder name by typing it into the edit field on the Select Program Folder Settings tab. If you do not specify a folder name, InstallWizard will use your setup project name as the default folder name.

Start Copying Files

The Start Copying Files user dialog displays the setup type, destination directory, and user information entered by the user. It allows the user to double-check his entries and, if necessary, go back and modify one or more of them.
Since the text displayed in the multi-line edit field of the Start Copying Files dialog is determined by information obtained from the user, there are no settings for this dialog.

Progress Indicator

The Progress Indicator gives the user a graphical representation of the file-transfer process. The progress bar gradually increments to depict the percentage of the file transfer process which has been completed, while the text field above the bar displays the names of the files as they are copied.
There are no settings for the Progress Indicator.

Setup Complete

The Setup Complete user dialog actually consists of two dialogs: a reboot computer dialog box and a launch application dialog box. The preview shows only the reboot computer dialog.

The readme file option will launch a file named readme.txt. You need to include this file in Components Dialog.


BILLBOARDS

Billboards allow you to pass information to your users, or merely entertain them, during the setup process. These bitmap files can tell your customers about new features in your product or point them to support resources.

Billboards Properties:

Image Name: Enter the path to the bitmap (.bmp) file, or click the browse button to navigate to this file.

Duration: Enter the amount of time, in seconds, that this billboard is displayed before the next billboard takes its place. When the file transfer completes, no more billboards are shown, even if other billboards are scheduled or the current billboard's duration has not elapsed. If the file transfer takes more time than you have allocated for your billboards, the final billboard is displayed until file transfer ends.

X Coordinate: Horizontal location of your billboard

Y Coordinate: Vertical location of your billboard

BackGround Color: Select here the background color if necessary.

Title: Enter the title of this billboard, as you want it to appear to your end users.


Folder and Icons

Folders and Icons will help you to create shortcuts on the desktop, the Start menu, and various other locations.

Program:
Choose here the program that you would like to make a shortcut.

Description:
You can provide a description of your shortcut in this field.

Folder:
Choose here where the shortcut will be created.
-Active Desktop Folder
-Desktop Folder
-Favorites Folder ( here you can add Internet links, that will be placed in Internet Explorer Favorites)
-Program Menu Folder
-Start Menu Folder
-Startup Folder

Show:
Normal — This option causes the program to launch in a normal-sized window.
Maximized — This option causes the program to launch in full-screen view.
Minimized — This option launches the program in a minimized window, visible only on the taskbar.

Start In:
The working directory is the directory to which common open and save dialogs default. Enter the path to the directory that you want to specify as the working directory for this shortcut, or select a property from the list and customize it to your needs. For example, if you want your working directory to be set to a subset of <INSTALLDIR> called Files, select <INSTALLDIR> from the list and add Files to the end of it: <INSTALLDIR>\Files.


INI FILES

Editing .ini files found on the target system can be a dangerous affair, especially if those .ini files are used by the operating system for standard functionality, such as Boot.ini. With InstallWizard, .ini file changes can be performed right in the IDE. Editing an .ini file involves two steps, which are outlined below.

1)Create an INI File Reference

-Right-click on the INI Files item in the INI Files view and select Create INI File.

-Rename the new .ini file, giving it the name of the file you want to edit, extension included—Boot.ini, for example.

2)Add Section and Keyword to your INI file and click Add button.

-Target is the path to the folder where the .ini file you want to edit is stored.
If .ini file doesn't exist, InstallWizard will create it.

Note: If you want to specify a value for the run key using directory specifiers, InstallWizard uses the long path names. For example:<Install Dir>\app.exe is converted to c:\Program Files\InstallWizard\Test\app.exeTo convert this string into a short file name, place the key in quotes"<Install Dir>"\app.exe and the string will be converted into c:\progra~1\instal~1\test\app.exe


REGISTRY

MAKE REGISTRY CHANGES

The Make Registry Changes window is accessed directly using its respective push button, one for making changes in the registry keys, one for adding or modifying registry key values.

THE .REG FILES

InstallWizard enables you to include the merging of a registry file as part of your installation. This feature allows you to transfer specific registry settings for your application to your customer's registry.
The registry file to be included in your installation must be added in the FIle Groups dialog before it can be added to the REG files window.
To add a .REG file just check your file in reg file window.


http://www.digitalweb.com.br/installwizard

ODBC Resources

One of the more complex areas of system configuration involves setting up ODBC drivers. The ODBC resource must be properly registered on the system with all of the required attributes and, in the case of drivers, install the necessary files, including any setup DLL. This process is greatly simplified in the ODBC Resources view, in which you can simply check off the drivers.

To include an ODBC resource in your setup, click the check box next to its name in the ODBC Resources explorer.


File Extensions

File extensions allow you to link a certain type of file to your application. When that file is double-clicked, your application launches and open that file. When you open a text (.txt) file, you are actually sending a message to the operating system, telling it to launch Notepad so you can view the contents of that text file. If you want to provide similar functionality for your application and its files, you can create a file extension association.

Specify File Extension Properties

File extension properties allow you to specify detailed information about the associated file type. Each file extension property is described below:

File—Select from the list the executable for which you are creating a file extension association. If you haven't yet added the necessary file to your setup project, it is not displayed in the drop-down list.

Extension-The extension that will be associated with the File.

ProgID—Enter the progID of the application with which you are associating the file extension.

Description—This description is registered as the default value for the ProgID in the target system's registry.

Command—Enter the text you want displayed in the context menu for the Open verb. If you leave this field blank, the word Open appears as the first item in the right-click menu for this type of file. If you prefer it to say Edit with MyProduct, enter &Edit with MyProduct into this field.

Arguments—Enter any command-line arguments you want to pass to your application when a file of this type is opened. You can use %1 in your argument to pass the currently selected file name as part of the argument. For example, -p %1 might be resolved to -p C:\MyFile.ext.

Icon File—Enter the path to the icon (.ico) that contains the icon you want to use for files of this type. You can browse to this file by clicking the browse button.


Environment Variables

Environment variables are name and value pairs that can be set on the target system with your installation program and can be accessed by your application and by other running programs.

Using InstallWizard, you can create, set (or modify) environment variables on the target system via your installation program.

Environment variable properties

Name-Type the name of the variable you want to modify, remove, or create.

Value-Enter the path or value for this environment variable. You can use a predefined folder as part of this value—such as [INSTALLDIR]\bin.

Type-For target systems that run Microsoft Windows NT, Windows 2000, or Windows XP, this property indicates whether the environment variable name refers to a system or user environment variable.

  • System—Creates or modifies the system environment variable specified.
  • User—Creates or modifies the environment variable from the user's environment. The environment variable specified is available only to the end user who is logged on at the time of installation.

Only available for Windows NT, 2000 and XP.


PASSWORD

Select Yes if you want to require the end user to enter a password to open your setup. Passwords are case sensitive.

If you want to require the end user to enter a password to open your setup, you can choose Single Password user for all installations or Internet Password.

Internet Password:
InstallWizard will download a txt file from your website and read this file to obtain the password.

How to create a txt file to work with InstallWizard ?

Example:

1)Create a new .txt file with notepad called 'password.txt' and type your password.
2)Save your password.txt file and then upload to your website.

Then fill InstallWizard Internet Password edit box with:

http://www.yoursite.com/password.txt


Customs Actions

InstallWizard supports custom actions that call a DLL function or launch an executable file.

Set Your Custom Action's Properties

File Name

Enter the path to the DLL or EXE that contains your function or click the Browse button to navigate to this file. When you build your setup, this file is automatically incorporated into your project file. However, if you want to install this file so that it remains on the target machine after the setup is complete, you need to add it in the Files view as well.

Command Line

Enter the command line that will be passed to your application.

Invoke

Select when InstallWizard will run your EXE or DLL file.

Wait For Action

If you want the setup to wait until your action has been dismissed, select Yes. If you want the setup to continue to run while your action runs, select No.

Run Once

Because your custom action executes between dialogs, it has the potential to run more than one time if a user goes back and forth between dialogs. If you want to allow your custom action to execute more than one time, set this property to No. If your custom should only execute one time, set this property to Yes. Depending on the Invoke value, and whether the custom action executes during installation or uninstallation, the Run Once value may be read only and have a value of Yes.


Advanced Actions

Command:
-If the program described below is running
-If the program described below is installed
-If the program described below is not installed
-If the file described below exists
-Show Custom Window
-Show MessageBox
-Run LiveUpdate

Program Name:
Installwizard perform two actions to try to find your program.
By listing the current processes running in machine (yourprogram.exe) or
searching your software by Dialog Caption.
Add here yourprogramfilename.exe or the name of Dialog Caption.

Action:
Select here the action that InstallWizard needs to perform if 'command' returns ok.

After Command/Action:
Select here if you want that installation stops or continue after action.

Invoke:
Select here when your action will be invoked.

Message:
If you choose "Show MessageBox" in command or action, type here your message.


http://www.digitalweb.com.br/installwizard

Target System Requirements

The InstallWizard target system requirements allow you to specify certain machine environments that your application requires in order to run properly. If these system requirements are not met, the installation will exit. Because your application cannot be installed on systems that do not meet your hardware or software requirements, you may want to set those requirements liberally.


FEEDBACK

InstallWizard will add a program called FEEDBACK to your setup. This program will allow your users to send feedback about your software.

FeedBack Properties

Connection Settings

Enter the email that will receive the feedback:
Type here the email that will receive the feedback

Enter your SMTP Server:
Type here some SMTP server that will be used to send your feedback by email.
You can obtain this with your ISP.

Labels:

Title:
Type here the title that will appear in the center of dialog.

Fields:
Here you can add the fields that will be used to your feedback.
You can add 8 fields at most.

NOTE: InstallWizard will automaticaly add a shortcut in StartMenu. If you want to delete this go to Folders and Icons window.


LIVE UPDATE

LiveUpdate options:

-Check for new version and download patch if necessary.
InstallWizard compares the current software version with URL Version check. If there are a new version, installwizard download a patch to update your software.

-Check for new version and serial number and download patch if necessary.
InstallWizard compares the current software version with URL Version check. If there are a new version, InstallWizard download information about current serial number to check if user are a TRUE registered user. Then download the patch.

-Check serial number and download patch if serial matchs.
InstallWizard download information about current serial number to check if user are a TRUE registered user. Then download the patch.

LiveUpate properties:

URL Version Check:
Enter here the URL to your .txt file that will contain the version information. (only applicable for "Check new version and download patch if necessary).

URL Patch Download:
Enter here the URL to download the patch that will be used to upgrade your software. (only applicable for "Check new version and download patch if necessary).

URL Serial Number:
Enter here the URL that will be user to check if current serial number is a valid serial number.

HOW TO USE LIVEUPDATE TO CHECK FOR NEW VERSION AND DOWNLOAD PATCH ?

Example:

1)Select: Check for new version and download patch if necessary.
2)Create a new .txt file with notepad called 'version.txt' and type your software version.
i.e: 1.4
3)Save your version.txt file and then upload to your website.
4)Upload the patch that will be used to upgrade your software.
5)URL Version Check: http://www.yoursite.com/version.txt
5)URL Patch Download: http://www.yoursite.com/yoursoftwarepatch.exe

HOW TO USE LIVEUPDATE TO CHECK SERIAL NUMBER AND DOWNLOAD PATCH ?

InstallWizard can send the current username and serial number to the URL Serial Number.
In answer you need to create an ASP or PHP script that will return a valid URL that will be used to download the patch.

Valid answers from your script:

To perform a valid download, your script must return:
OK<http://yoursite.com/yourpatch.exe>

To deny the download, your script must return:
CLOSE

Example:
1)Select: Check serial number and download patch if serial matchs.
2)Type in URL Serial Number: http://yoursite.com/myscript.php?USER=<USERNAME>&SERIAL=<SERIALNUMBER>

HOW LIVEUPDATE WORKS?

After run the program, InstallWizard LiveUpdate connects with your URL and compares the version.txt file with the current version of your program.
If there are a new version, InstallWizard will download and install your patch.

NOTE:
-You need to inform your current software version in GENERAL INFORMATION DIALOG.
After install your software, InstallWizard will create a new KEY in register called VERSION that will store your current version.

-InstallWizard will send the current serial number and username located in windows register.
This information will be added when user type your information in "USER INFORMATION" dialog.

-InstallWizard will automaticaly add a shortcut in StartMenu. If you want to delete this go to Folders and Icons window.


BUILDING YOUR SETUP

The final step in creating your setup project is to build and test your installation. InstallWizard provides you with many different media types to choose from, as well as the ability to test your setup from the IDE.

When you build a release, InstallWizard takes all of the information from your setup project and compiles it into a setup package (.dat file) capable of installing your product onto any supported Windows platform.

NOTE: You can preview your installation clicking PREVIEW INSTALLATION BUTTON, after do this, you need to click BUILD again.

InstallWizard Styles

Windows 2000 Style

The Windows 2000 style (default) is compatible with all Microsoft Windows versions.

InstallWizard Style

The InstallWizard - SmallInstall - 80kb is not totally compatible with some Microsoft Windows 95, because it uses Microsoft Shared DLLs.

NOTE: InstallWizard style only show "Progress Indicator Dialog". "Custom Actions" and "Install from Internet" not available in this style.

Silent Install

Installs the files in the user's computer without show any message. Compatible with all Microsoft Windows versions.

NOTE: "Custom Actions" and "Install from Internet" not available in this style.


http://www.digitalweb.com.br/installwizard

Contacting Technical Support

To contact technical support, send a email to DigitalWeb.

Be sure to include your serial number, OS platform and computer description (memory, chip,etc) in email.


http://www.digitalweb.com.br/installwizard